Docs

Packages

GET
/v1/packages

List packages with optional filters. Returns packages ordered by creation date (newest first).

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
project?string

Filter by project ID or name.

Lengthlength <= 100
type?string

Filter by package type

Value in

  • "cli"
  • "cloudformation"
  • "helm"
  • "operator-image"
  • "terraform"
status?string

Filter by package status

Value in

  • "pending"
  • "building"
  • "ready"
  • "failed"
  • "canceled"
search?string

Search packages by type or version

Lengthlength <= 256
limit?integer

Maximum number of items to return per page

Range1 <= value <= 100
Default20
cursor?string

Cursor for pagination - omit for first page

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/packages?project=my-project"
{  "items": [    {      "id": "pkg_jebo2o5jmm7raefl2m1pe3cz",      "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",      "workspaceId": "ws_It13CUaGEhLLAB87simX0",      "type": "cli",      "status": "pending",      "version": "string",      "sourceReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",      "setupFingerprints": {        "property1": {          "target": "string",          "fingerprint": "string",          "version": 1        },        "property2": {          "target": "string",          "fingerprint": "string",          "version": 1        }      },      "packageBuildInputHash": "string",      "config": {        "binaryTargets": [          "windows-x64"        ],        "displayName": "string",        "name": "string",        "type": "cli"      },      "outputs": {        "binaries": {          "property1": {            "sha256": "string",            "size": 0,            "url": "string"          },          "property2": {            "sha256": "string",            "size": 0,            "url": "string"          }        },        "buildInfo": {          "alienSha": "string",          "horizonSha": "string",          "machineBundleManifestUrl": "string",          "platformSha": "string",          "sourceAgentBinarySha256": "string",          "sourceCliBinarySha256": "string"        },        "type": "cli"      },      "error": null,      "sourceBinarySha256": "string",      "retries": 0,      "lockedAt": "2019-08-24T14:15:22Z",      "lockedBy": "string",      "leaseExpiresAt": "2019-08-24T14:15:22Z",      "buildPhase": "building",      "lastProgressAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}
GET
/v1/packages/{id}

Get details of a specific package.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the package.

Matchpkg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/packages/pkg_jebo2o5jmm7raefl2m1pe3cz"
{  "id": "pkg_jebo2o5jmm7raefl2m1pe3cz",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "type": "cli",  "status": "pending",  "version": "string",  "sourceReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",  "setupFingerprints": {    "property1": {      "target": "string",      "fingerprint": "string",      "version": 1    },    "property2": {      "target": "string",      "fingerprint": "string",      "version": 1    }  },  "packageBuildInputHash": "string",  "config": {    "binaryTargets": [      "windows-x64"    ],    "displayName": "string",    "name": "string",    "type": "cli"  },  "outputs": {    "binaries": {      "property1": {        "sha256": "string",        "size": 0,        "url": "string"      },      "property2": {        "sha256": "string",        "size": 0,        "url": "string"      }    },    "buildInfo": {      "alienSha": "string",      "horizonSha": "string",      "machineBundleManifestUrl": "string",      "platformSha": "string",      "sourceAgentBinarySha256": "string",      "sourceCliBinarySha256": "string"    },    "type": "cli"  },  "error": null,  "sourceBinarySha256": "string",  "retries": 0,  "lockedAt": "2019-08-24T14:15:22Z",  "lockedBy": "string",  "leaseExpiresAt": "2019-08-24T14:15:22Z",  "buildPhase": "building",  "lastProgressAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z"}
POST
/v1/packages/rebuild

Rebuild packages for a project. This will cancel any pending packages and create new ones with auto-incremented versions.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/packages/rebuild" \  -H "Content-Type: application/json" \  -d '{    "project": "string"  }'
{  "packagesCreated": 0}
POST
/v1/packages/{id}/cancel

Cancel a pending or building package.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the package.

Matchpkg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/packages/pkg_jebo2o5jmm7raefl2m1pe3cz/cancel"
{  "id": "pkg_jebo2o5jmm7raefl2m1pe3cz",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "type": "cli",  "status": "pending",  "version": "string",  "sourceReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",  "setupFingerprints": {    "property1": {      "target": "string",      "fingerprint": "string",      "version": 1    },    "property2": {      "target": "string",      "fingerprint": "string",      "version": 1    }  },  "packageBuildInputHash": "string",  "config": {    "binaryTargets": [      "windows-x64"    ],    "displayName": "string",    "name": "string",    "type": "cli"  },  "outputs": {    "binaries": {      "property1": {        "sha256": "string",        "size": 0,        "url": "string"      },      "property2": {        "sha256": "string",        "size": 0,        "url": "string"      }    },    "buildInfo": {      "alienSha": "string",      "horizonSha": "string",      "machineBundleManifestUrl": "string",      "platformSha": "string",      "sourceAgentBinarySha256": "string",      "sourceCliBinarySha256": "string"    },    "type": "cli"  },  "error": null,  "sourceBinarySha256": "string",  "retries": 0,  "lockedAt": "2019-08-24T14:15:22Z",  "lockedBy": "string",  "leaseExpiresAt": "2019-08-24T14:15:22Z",  "buildPhase": "building",  "lastProgressAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z"}